### Function

# Gegl NodeFunction

#### Declaration

    void
    (* GeglNodeFunction) (
      const GeglPathItem* node,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`node`

  Type: `GeglPathItem`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.